<?xml version="1.0"?>
<xsl:stylesheet  version="2.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"/>
  <xsl:template match="dblpperson">
   <html>
	<head>
	      <!--<title>Publications - <xsl:value-of select="@name"/></title>-->
	      <title>Publications - <xsl:apply-templates select="@name"/></title>
	      <link rel="stylesheet" href="all.css" media="all" type="text/css"/>
	      <link rel="stylesheet" href="print.css" media="print" type="text/css"/>
	</head>
         <body>
		 <h1>Publications</h1>
		 <!--<h2 id="coAuthors">CoAuthors of <xsl:value-of select="@name"/></h2>-->
		 <h2 id="coAuthors">CoAuthors of <xsl:apply-templates select="@name"/></h2>
		 <ul>
		  <xsl:variable name="author" select="@name"/>
		  <xsl:apply-templates select="//author[not(./text() = $author)][not(./text() = preceding::author/text())]"/>
		 </ul>
	</body>
   </html>
  </xsl:template>

  
    <xsl:template match="author">
      <li>
	<b>
	  <xsl:choose>
	      <xsl:when test="./text()='Wolfgang Dvorák'">
		Wolfgang Dvořák,
	      </xsl:when>
	      <xsl:otherwise>
		    <xsl:value-of select="."/>
	      </xsl:otherwise>
	  </xsl:choose>
	</b>
	<br/>
	<xsl:variable name="coauthor" select="."/>
	Number of joint papers: <xsl:value-of select="count(//r//author[./text()=$coauthor/text()])"/> <br/>
	Joint papers:      
	<xsl:for-each select="//r[.//author/text()=$coauthor/text()]">
	      <xsl:sort select="element()/year" order="ascending"/>
	      <a href="publications.html#{element()/@key}">[<xsl:value-of select="position()"/>]</a>
	      <xsl:if test="position()!=last()">, </xsl:if>
	</xsl:for-each><br/>
	Joint CoAuthors:      
	<xsl:variable name="coauthors" select="//author[not(.=//dblpperson/@name)][not(.=$coauthor)][../author=$coauthor]"/>
	<xsl:apply-templates select="$coauthors[index-of($coauthors/text(),./text())[1]]" mode="simple"/>
      </li>
    </xsl:template>
    
     <xsl:template match="author" mode="simple">
      <xsl:choose>
	  <xsl:when test="./text()='Wolfgang Dvorák'">
	    Wolfgang Dvořák,
	  </xsl:when>
	  <xsl:otherwise>
	        <xsl:value-of select="."/>,
	  </xsl:otherwise>
      </xsl:choose>      
    </xsl:template>
    
    
     <xsl:template match="@name">
      <xsl:choose>
	  <xsl:when test=".='Wolfgang Dvorák'">
	    Wolfgang Dvořák
	  </xsl:when>
	  <xsl:otherwise>
	        <xsl:value-of select="."/>
	  </xsl:otherwise>
      </xsl:choose>      
    </xsl:template>
    
</xsl:stylesheet>
