<?xml version="1.0"?>
<xsl:stylesheet  version="2.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"/>
  <xsl:template match="dblpperson">
   <html>
	<head>
	      <title>Publications - <xsl:value-of select="@name"/></title>
	      <link rel="stylesheet" href="all.css" media="all" type="text/css"/>
	      <link rel="stylesheet" href="print.css" media="print" type="text/css"/>
	</head>
         <body>
		 <h1>Publications</h1>
		 <h2 id="journal">Journal Publications</h2>
		 <ol>
		    <xsl:apply-templates select=".//article[not(@publtype='informal publication')]"/>
		 </ol>
		 		 
		 <h2 id="conference">Conference Papers</h2>
		 <ol>
		    <xsl:apply-templates select=".//inproceedings"/>
		 </ol>
		 
		 <h2 id="informal">Informal Publications</h2>
		 <ol>
		    <xsl:apply-templates select=".//article[@publtype='informal publication']" mode="informal"/>
		 </ol>
	</body>
   </html>
  </xsl:template>

  <xsl:template match="article">
     <li id="{@key}">
	<xsl:call-template name="author_and_title"/>
	<xsl:value-of select="journal"/>, <xsl:value-of select="volume"/>, <xsl:value-of select="pages"/>, <xsl:value-of select="year"/>.
     </li>
  </xsl:template>  
  
  <xsl:template match="article" mode="informal">
     <li id="{@key}">
	<xsl:call-template name="author_and_title"/>
	<xsl:value-of select="journal"/>, <xsl:value-of select="volume"/>, <xsl:value-of select="year"/>.
     </li>
  </xsl:template>  

  <xsl:template match="inproceedings">
     <li id="{@key}">
	<xsl:call-template name="author_and_title"/>
	In Proceedings of <xsl:value-of select="booktitle"/>, <xsl:value-of select="pages"/> (<xsl:value-of select="year"/>)
     </li>
  </xsl:template>
  

   <xsl:template name="author_and_title">
	<xsl:apply-templates select="author"/><br/>
	<b><xsl:value-of select="title"/></b><br/>
   </xsl:template>  
  
  
    <xsl:template match="author">
      <xsl:choose>
	  <xsl:when test="./text()='Wolfgang Dvorák'">
	    Wolfgang Dvořák,
	  </xsl:when>
	  <xsl:otherwise>
	        <xsl:value-of select="."/>,
	  </xsl:otherwise>
      </xsl:choose> 
    </xsl:template>
    
</xsl:stylesheet>
